Public Types | Public Member Functions

# Glib::OptionError Class Reference

Exception class for options. More...

`#include <glibmm/optioncontext.h>`

Inheritance diagram for Glib::OptionError:
[legend]

List of all members.

## Public Types
enum | Code { UNKNOWN_OPTION, BAD_VALUE, FAILED }
## Public Member Functions
| OptionError (Code error_code, const Glib::ustring& error_message)
| OptionError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for options.

## Member Enumeration Documentation

enum Glib::OptionError::Code

Enumerator:

  UNKNOWN_OPTION |
  BAD_VALUE |
  FAILED |

## Constructor & Destructor Documentation

Glib::OptionError::OptionError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::OptionError::OptionError | ( | GError * | gobject ) | `[explicit]`

## Member Function Documentation

Code Glib::OptionError::code | ( | ) | const

Reimplemented from Glib::Error.